Bug 121560 - initrd not installed in grub.conf after up2date
initrd not installed in grub.conf after up2date
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
2.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks: 120092 up2date-rhel2.1-u6 130798
  Show dependency treegraph
 
Reported: 2004-04-22 19:24 EDT by Martin Rheumer
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 01:56:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Rheumer 2004-04-22 19:24:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
after runnning up2date kernel for kernel release 2.4.9-e.40 the 
initrd command is not installed in the grub.conf ie.
title Red Hat Linux (2.4.9-e.40)
        root (hd0,0)
        kernel /vmlinuz-2.4.9-e.40 ro root=/dev/sda3
---- missing line here -----
title etc

Upon reboot kernel panics.

Version-Release number of selected component (if applicable):
vmlinuz-2.4.9-e.40

How reproducible:
Always

Steps to Reproduce:
1.up2date kernel ( to get 2.4.9-e.40)
2.reboot
3.
    

Actual Results:  title Red Hat Linux (2.4.9-e.40)
        root (hd0,0)
        kernel /vmlinuz-2.4.9-e.40 ro root=/dev/sda3

Expected Results:  title Red Hat Linux (2.4.9-e.40)
        root (hd0,0)
        kernel /vmlinuz-2.4.9-e.40 ro root=/dev/sda3
        initrd etc etc etc

Additional info:

Note You need to log in before you can comment on or make changes to this bug.